JUCE: MACAddress Class Reference

JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | List of all members
MACAddress Class Referencefinal
juce_core » network

Represents a MAC network card adapter address ID. More...

`#include <juce_MACAddress.h>`

## Public Member Functions
| MACAddress () noexcept
| Creates a null address (00-00-00-00-00-00).
| MACAddress (const MACAddress &) noexcept
| Creates a copy of another address.
MACAddress & | operator= (const MACAddress &) noexcept
| Creates a copy of another address.
| MACAddress (const uint8 bytes[6]) noexcept
| Creates an address from 6 bytes.
| MACAddress (StringRef address)
| Creates an address from a hex string.
const uint8 * | getBytes () const noexcept
| Returns a pointer to the 6 bytes that make up this address.
String | toString () const
| Returns a dash-separated string in the form "11-22-33-44-55-66".
String | toString (StringRef separator) const
| Returns a hex string of this address, using a custom separator between each byte.
int64 | toInt64 () const noexcept
| Returns the address in the lower 6 bytes of an int64.
bool | isNull () const noexcept
| Returns true if this address is null (00-00-00-00-00-00).
bool | operator== (const MACAddress &) const noexcept
bool | operator!= (const MACAddress &) const noexcept

## Static Public Member Functions
static Array< MACAddress > | getAllAddresses ()
| Returns a list of the MAC addresses of all the available network cards.
static void | findAllAddresses (Array< MACAddress > &results)
| Populates a list of the MAC addresses of all the available network cards.

## Detailed Description

Represents a MAC network card adapter address ID.

## Constructor & Destructor Documentation

## ◆ MACAddress() [1/4]

MACAddress::MACAddress | ( |  | ) |
| noexcept

Creates a null address (00-00-00-00-00-00).

## ◆ MACAddress() [2/4]

MACAddress::MACAddress | ( | const MACAddress & |  | ) |
| noexcept

Creates a copy of another address.

## ◆ MACAddress() [3/4]

MACAddress::MACAddress | ( | const uint8 | bytes[6] | ) |
| explicitnoexcept

Creates an address from 6 bytes.

## ◆ MACAddress() [4/4]

MACAddress::MACAddress | ( | StringRef | address | ) |
| explicit

Creates an address from a hex string.

If the string isn't a 6-byte hex value, this will just default-initialise the object.

## Member Function Documentation

## ◆ getAllAddresses()

static Array< MACAddress > MACAddress::getAllAddresses | ( |  | ) |
| static

Returns a list of the MAC addresses of all the available network cards.

## ◆ findAllAddresses()

static void MACAddress::findAllAddresses | ( | Array< MACAddress > & | results | ) |
| static

Populates a list of the MAC addresses of all the available network cards.

## ◆ operator=()

MACAddress & MACAddress::operator= | ( | const MACAddress & |  | ) |
| noexcept

Creates a copy of another address.

## ◆ getBytes()

const uint8 * MACAddress::getBytes | ( |  | ) | const
| noexcept

Returns a pointer to the 6 bytes that make up this address.

## ◆ toString() [1/2]

String MACAddress::toString | ( |  | ) | const

Returns a dash-separated string in the form "11-22-33-44-55-66".

## ◆ toString() [2/2]

String MACAddress::toString | ( | StringRef | separator | ) | const

Returns a hex string of this address, using a custom separator between each byte.

## ◆ toInt64()

int64 MACAddress::toInt64 | ( |  | ) | const
| noexcept

Returns the address in the lower 6 bytes of an int64.

This uses a little-endian arrangement, with the first byte of the address being stored in the least-significant byte of the result value.

## ◆ isNull()

bool MACAddress::isNull | ( |  | ) | const
| noexcept

Returns true if this address is null (00-00-00-00-00-00).

## ◆ operator==()

bool MACAddress::operator== | ( | const MACAddress & |  | ) | const
| noexcept

## ◆ operator!=()

bool MACAddress::operator!= | ( | const MACAddress & |  | ) | const
| noexcept

The documentation for this class was generated from the following file:

- juce_MACAddress.h